import { EventEmitter } from '../../stencil.core';
export declare class Datepicker {
    host: HTMLMaterialsDatepickerElement;
    currentMonth: Date;
    yearPicker: boolean;
    monthPicker: boolean;
    todayPicker: boolean;
    nullable: boolean;
    /**
     * Utilisé pour mettre en surbrillance une période ex: Lundi au dimanche.
     */
    dateRange: {
        start: Date;
        end: Date;
    };
    dateSelectedUpdate: EventEmitter<Date>;
    /**
     * Le curseur de la date sélectionée. Sera positioné grace dateSelected.
     */
    dateSelected: Date;
    componentWillLoad(): void;
    componentDidLoad(): void;
    dateSelectedClick(date: Date, old?: any): void;
    isValidDate(d: any): Date;
    addYear(nb: number): void;
    addMonth(nb: number): void;
    addDays(date: any, days: any): Date;
    setDateSelected(date: Date): void;
    startOfWeek(d: Date): Date;
    getDaysOfMonth(): any[];
    getClasses(day: Date, index: any): {
        'day-overview ': boolean;
        'mdc-ripple-surface': boolean;
        'mdc-ripple-surface--primary': boolean;
        'pointer': boolean;
        'day-current': boolean;
        'day-in-month': boolean;
        'day-selected': boolean;
        'in-selected-range': boolean;
    };
    isInMonth(day: any, week: any): boolean;
    isCurrentDay(day: Date): boolean;
    isSameDate(): boolean;
    render(): any;
}
